com.rscja.deviceapi.interfaces

## Interface IBleDevice

- All Known Implementing Classes:
    BleDevice, BleDevice_qcom

      public interface IBleDevice

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blockWriteData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt, java.lang.String writeData)`
    `void` | `connect()`
    `void` | `connect(ConnectionStatusCallback<java.lang.Object> btStatusCallback)`
    `boolean` | `deleteAllTagToFlash()`
    `void` | `disconnect()`
    `boolean` | `eraseData(java.lang.String accessPwd, int bank, int ptr, int cnt)`
    `boolean` | `eraseData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt)`
    `java.lang.String` | `generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank, int lockMode)`
    `int` | `getAllTagTotalFromFlash()`
    `int` | `getBattery()`
    `BleDevice.BleDeviceInfo` | `getBleDeviceInfo()`
    `java.lang.String` | `getBleHardwareVersion()`
    `java.util.HashMap<java.lang.String,java.lang.String>` | `getBluetoothVersion()`
    `ConnectionStatus` | `getConnectStatus()`
    `int` | `getCW()`
    `InventoryModeEntity` | `getEPCAndTIDUserMode()`
    `int` | `getFastID()`
    `int` | `getFrequencyMode()`
    `Gen2Entity` | `getGen2()`
    `java.lang.String` | `getMainboardVersion()`
    `int` | `getNewTagTotalFromFlash()`
    `int` | `getPower()`
    `int` | `getProtocol()`
    `int` | `getRFLink()`
    `java.util.List<UHFTAGInfo>` | `getTagDataFromFlash()`
    `int` | `getTagfocus()`
    `int` | `getTemperature()`
    `java.lang.String` | `getUhfSoftwareVersion()`
    `UHFTAGInfo` | `inventorySingleTag()`
    `boolean` | `isInventorying()`
    `boolean` | `isSupportRssi()`
    `boolean` | `killTag(java.lang.String killPwd)`
    `boolean` | `killTag(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData)`
    `boolean` | `lockMem(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String filterData, java.lang.String lockCode)`
    `boolean` | `lockMem(java.lang.String accessPwd, java.lang.String lockCode)`
    `java.lang.String` | `readData(java.lang.String accessPwd, int bank, int ptr, int cnt)`
    `java.lang.String` | `readData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt)`
    `java.lang.String` | `scanBarcode()`
    `byte[]` | `scanBarcodeToBytes()`
    `boolean` | `setBeep(boolean isOpen)`
    `void` | `setConnectionStatusCallback(ConnectionStatusCallback<java.lang.Object> btStatusCallback)`
    `boolean` | `setCW(int flag)`
    `boolean` | `setEPCAndTIDMode()`
    `boolean` | `setEPCAndTIDUserMode(int user_prt, int user_len)`
    `boolean` | `setEPCMode()`
    `boolean` | `setFastID(boolean enalbe)`
    `boolean` | `setFilter(int bank, int ptr, int cnt, java.lang.String data)`
    `boolean` | `setFreHop(float fre)`
    `boolean` | `setFrequencyMode(int freMode)`
    `boolean` | `setGen2(Gen2Entity gen2Entity)`
    `void` | `setInventoryCallback(IUHFInventoryCallback inventoryCallback)`
    `void` | `setKeyEventCallback(KeyEventCallback KeyEventCallback)`
    `boolean` | `setPower(int power)`
    `boolean` | `setProtocol(int protocol)`
    `boolean` | `setRemoteBluetoothName(java.lang.String name)`
    `boolean` | `setRFLink(int mode)`
    `void` | `setSupportRssi(boolean isSupportRssi)`
    `boolean` | `setTagFocus(boolean enalbe)`
    `boolean` | `startInventoryTag()`
    `boolean` | `startLocation(java.lang.String label, int bank, int ptr, IUHFLocationCallback locationCallback)`
    `boolean` | `stopInventory()`
    `boolean` | `stopLocation()`
    `boolean` | `uhfBlockPermalock(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int ReadLock, int uBank, int uPtr, int uRange, byte[] uMaskbuf)`
    `boolean` | `uhfJump2Boot()`
    `boolean` | `uhfJump2Boot(int type)`
    `boolean` | `uhfJumpToMainboardBoot()`
    `boolean` | `uhfStartUpdate()`
    `boolean` | `uhfStopUpdate()`
    `boolean` | `uhfUpdating(byte[] buff)`
    `boolean` | `writeData(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String data)`
    `boolean` | `writeData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt, java.lang.String writeData)`
    `boolean` | `writeDataToEpc(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, java.lang.String writeData)`
    `boolean` | `writeDataToEpc(java.lang.String accessPwd, java.lang.String writeData)`

- - ### Method Detail

    - #### connect

          void connect()

    - #### connect

          void connect(ConnectionStatusCallback<java.lang.Object> btStatusCallback)

    - #### disconnect

          void disconnect()

    - #### setSupportRssi

          void setSupportRssi(boolean isSupportRssi)

    - #### uhfJumpToMainboardBoot

          boolean uhfJumpToMainboardBoot()

    - #### setRemoteBluetoothName

          boolean setRemoteBluetoothName(java.lang.String name)

    - #### getBluetoothVersion

          java.util.HashMap<java.lang.String,java.lang.String> getBluetoothVersion()

    - #### getBleHardwareVersion

          java.lang.String getBleHardwareVersion()

    - #### stopLocation

          boolean stopLocation()

    - #### startLocation

          boolean startLocation(java.lang.String label,
                                int bank,
                                int ptr,
                                IUHFLocationCallback locationCallback)

    - #### getMainboardVersion

          java.lang.String getMainboardVersion()

    - #### getBattery

          int getBattery()

    - #### setBeep

          boolean setBeep(boolean isOpen)

    - #### scanBarcode

          java.lang.String scanBarcode()

    - #### scanBarcodeToBytes

          byte[] scanBarcodeToBytes()

    - #### setKeyEventCallback

          void setKeyEventCallback(KeyEventCallback KeyEventCallback)

    - #### getPower

          int getPower()

    - #### setPower

          boolean setPower(int power)

    - #### getUhfSoftwareVersion

          java.lang.String getUhfSoftwareVersion()

    - #### getFrequencyMode

          int getFrequencyMode()

    - #### setFrequencyMode

          boolean setFrequencyMode(int freMode)

    - #### startInventoryTag

          boolean startInventoryTag()

    - #### stopInventory

          boolean stopInventory()

    - #### generateLockCode

          java.lang.String generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank,
                                            int lockMode)

    - #### lockMem

          boolean lockMem(java.lang.String accessPwd,
                          int bank,
                          int ptr,
                          int cnt,
                          java.lang.String filterData,
                          java.lang.String lockCode)

    - #### lockMem

          boolean lockMem(java.lang.String accessPwd,
                          java.lang.String lockCode)

    - #### inventorySingleTag

          UHFTAGInfo inventorySingleTag()

    - #### readData

          java.lang.String readData(java.lang.String accessPwd,
                                    int bank,
                                    int ptr,
                                    int cnt)

    - #### readData

          java.lang.String readData(java.lang.String accessPwd,
                                    int filterBank,
                                    int filterPtr,
                                    int filterCnt,
                                    java.lang.String filterData,
                                    int bank,
                                    int ptr,
                                    int cnt)

    - #### writeData

          boolean writeData(java.lang.String accessPwd,
                            int bank,
                            int ptr,
                            int cnt,
                            java.lang.String data)

    - #### writeData

          boolean writeData(java.lang.String accessPwd,
                            int filterBank,
                            int filterPtr,
                            int filterCnt,
                            java.lang.String filterData,
                            int bank,
                            int ptr,
                            int cnt,
                            java.lang.String writeData)

    - #### writeDataToEpc

          boolean writeDataToEpc(java.lang.String accessPwd,
                                 int filterBank,
                                 int filterPtr,
                                 int filterCnt,
                                 java.lang.String filterData,
                                 java.lang.String writeData)

    - #### writeDataToEpc

          boolean writeDataToEpc(java.lang.String accessPwd,
                                 java.lang.String writeData)

    - #### blockWriteData

          boolean blockWriteData(java.lang.String accessPwd,
                                 int filterBank,
                                 int filterPtr,
                                 int filterCnt,
                                 java.lang.String filterData,
                                 int bank,
                                 int ptr,
                                 int cnt,
                                 java.lang.String writeData)

    - #### eraseData

          boolean eraseData(java.lang.String accessPwd,
                            int filterBank,
                            int filterPtr,
                            int filterCnt,
                            java.lang.String filterData,
                            int bank,
                            int ptr,
                            int cnt)

    - #### eraseData

          boolean eraseData(java.lang.String accessPwd,
                            int bank,
                            int ptr,
                            int cnt)

    - #### setFilter

          boolean setFilter(int bank,
                            int ptr,
                            int cnt,
                            java.lang.String data)

    - #### killTag

          boolean killTag(java.lang.String killPwd)

    - #### killTag

          boolean killTag(java.lang.String accessPwd,
                          int filterBank,
                          int filterPtr,
                          int filterCnt,
                          java.lang.String filterData)

    - #### setProtocol

          boolean setProtocol(int protocol)

    - #### getProtocol

          int getProtocol()

    - #### setFreHop

          boolean setFreHop(float fre)

    - #### setRFLink

          boolean setRFLink(int mode)

    - #### getRFLink

          int getRFLink()

    - #### setFastID

          boolean setFastID(boolean enalbe)

    - #### setTagFocus

          boolean setTagFocus(boolean enalbe)

    - #### setEPCMode

          boolean setEPCMode()

    - #### setEPCAndTIDMode

          boolean setEPCAndTIDMode()

    - #### setEPCAndTIDUserMode

          boolean setEPCAndTIDUserMode(int user_prt,
                                       int user_len)

    - #### getEPCAndTIDUserMode

          InventoryModeEntity getEPCAndTIDUserMode()

    - #### getTemperature

          int getTemperature()

    - #### uhfBlockPermalock

          boolean uhfBlockPermalock(java.lang.String accessPwd,
                                    int filterBank,
                                    int filterPtr,
                                    int filterCnt,
                                    java.lang.String filterData,
                                    int ReadLock,
                                    int uBank,
                                    int uPtr,
                                    int uRange,
                                    byte[] uMaskbuf)

    - #### setGen2

          boolean setGen2(Gen2Entity gen2Entity)

    - #### getGen2

          Gen2Entity getGen2()

    - #### setCW

          boolean setCW(int flag)

    - #### getCW

          int getCW()

    - #### uhfJump2Boot

          boolean uhfJump2Boot()

    - #### uhfJump2Boot

          boolean uhfJump2Boot(int type)

    - #### uhfStartUpdate

          boolean uhfStartUpdate()

    - #### uhfUpdating

          boolean uhfUpdating(byte[] buff)

    - #### uhfStopUpdate

          boolean uhfStopUpdate()

    - #### setConnectionStatusCallback

          void setConnectionStatusCallback(ConnectionStatusCallback<java.lang.Object> btStatusCallback)

    - #### getConnectStatus

          ConnectionStatus getConnectStatus()

    - #### isInventorying

          boolean isInventorying()

    - #### setInventoryCallback

          void setInventoryCallback(IUHFInventoryCallback inventoryCallback)

    - #### getAllTagTotalFromFlash

          int getAllTagTotalFromFlash()

    - #### deleteAllTagToFlash

          boolean deleteAllTagToFlash()

    - #### getTagDataFromFlash

          java.util.List<UHFTAGInfo> getTagDataFromFlash()

    - #### getNewTagTotalFromFlash

          int getNewTagTotalFromFlash()

    - #### getBleDeviceInfo

          BleDevice.BleDeviceInfo getBleDeviceInfo()

    - #### getFastID

          int getFastID()

    - #### getTagfocus

          int getTagfocus()

    - #### isSupportRssi

          boolean isSupportRssi()